---
# ####################################### #
#         Packages installation           #
# ####################################### #

- name: "[Debian] install needed packages"
  ansible.builtin.include_role:
    name: orange.infra.apt_install
  vars:
    environment: "{{ proxy_env }}"
    packages: "{{ onap_testing_system_packages }}"
  when: ansible_os_family | lower == 'debian'

- name: "[RHEL] install needed packages"
  become: true
  ansible.builtin.dnf:
    name: "{{ item }}"
    state: present
  loop: "{{ onap_testing_system_packages }}"
  when: ansible_os_family | lower == 'redhat'

- name: "[Other] install needed packages"
  become: true
  ansible.builtin.package:
    name: "{{ item }}"
    state: present
  loop: "{{ onap_testing_system_packages }}"
  when: ansible_os_family | lower != "debian" and
    ansible_os_family | lower != 'redhat'

- name: Install needed python packages
  become: true
  ansible.builtin.pip:
    name: "{{ item }}"
    state: present
    extra_args: "--index-url {{ python_pip_repository }}"
  loop: "{{ onap_testing_python_packages }}"

# ####################################### #
#         kubectl installation            #
# ####################################### #
- name: Check if kubectl binary is already available
  ansible.builtin.stat:
    path: "{{ kubernetes_kubectl_bin }}"
  register: kubectl_result

- name: Download kubectl binary
  become: true
  ansible.builtin.get_url:
    url: "{{ kubernetes_kubectl_url }}"
    dest: "{{ kubernetes_kubectl_bin }}"
    mode: 0755
  when: not kubectl_result.stat.exists

# ####################################### #
#      minio client installation          #
# ####################################### #
- name: Check if minio binary is already available
  ansible.builtin.stat:
    path: "{{ minio_mc_bin }}"
  register: minio_mc_result

- name: Retrieve mc (minio client)
  become: true
  ansible.builtin.get_url:
    url: "{{ minio_client_url }}"
    dest: "{{ minio_mc_bin }}"
    mode: 0777
  when: not minio_mc_result.stat.exists
